Last Comment Bug 697211 - conformance/state/gl-object-get-calls.html test failures
: conformance/state/gl-object-get-calls.html test failures
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: mozilla10
Assigned To: Doug Sherk (:drs) (inactive)
:
: Milan Sreckovic [:milan]
Mentors:
Depends on: 682496
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-25 12:08 PDT by Doug Sherk (:drs) (inactive)
Modified: 2011-11-03 13:09 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1.0, get stride in getVertexAttrib fixed. (1.05 KB, patch)
2011-10-25 12:09 PDT, Doug Sherk (:drs) (inactive)
no flags Details | Diff | Splinter Review
Patch v1.1, get stride in getVertexAttrib fixed. (2.14 KB, patch)
2011-10-27 21:39 PDT, Doug Sherk (:drs) (inactive)
jgilbert: review+
Details | Diff | Splinter Review

Description Doug Sherk (:drs) (inactive) 2011-10-25 12:08:07 PDT
This test fails with the following errors on OSX 10.7 / ATI:
FAIL gl.getProgramParameter(standardProgram, gl.DELETE_STATUS) should be false. Was true.
FAIL gl.getVertexAttrib(1, gl.VERTEX_ATTRIB_ARRAY_STRIDE) should be 0. Was 16.
Comment 1 Doug Sherk (:drs) (inactive) 2011-10-25 12:09:44 PDT
Created attachment 569456 [details] [diff] [review]
Patch v1.0, get stride in getVertexAttrib fixed.

Proposed patch.
Comment 2 Doug Sherk (:drs) (inactive) 2011-10-25 12:10:27 PDT
Note the proposed patch needs the fix from bug 682496 to make this page fully conform, although the patch itself doesn't depend on it.
Comment 3 Doug Sherk (:drs) (inactive) 2011-10-27 21:39:42 PDT
Created attachment 570183 [details] [diff] [review]
Patch v1.1, get stride in getVertexAttrib fixed.

Forgot to remove gl-object-get-calls.html from failing_tests_mac.txt.
Comment 4 Doug Sherk (:drs) (inactive) 2011-10-27 21:41:18 PDT
Running on Try: https://tbpl.mozilla.org/?tree=Try&rev=20a50709f71c
Comment 5 Jeff Gilbert [:jgilbert] 2011-10-31 17:42:05 PDT
More recent try: https://tbpl.mozilla.org/?tree=Try&rev=69bb43191112
Comment 6 Jeff Gilbert [:jgilbert] 2011-10-31 17:44:04 PDT
Comment on attachment 570183 [details] [diff] [review]
Patch v1.1, get stride in getVertexAttrib fixed.

Review of attachment 570183 [details] [diff] [review]:
-----------------------------------------------------------------

Nice and straight-forward.
Comment 8 Phil Ringnalda (:philor) 2011-10-31 19:04:01 PDT
Backed out in https://hg.mozilla.org/integration/mozilla-inbound/rev/773e9705c61b to await a dependency.
Comment 9 Benoit Jacob [:bjacob] (mostly away) 2011-11-03 07:58:27 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/35ecb3d6a36b
Comment 10 Ed Morley [:emorley] 2011-11-03 13:09:38 PDT
https://hg.mozilla.org/mozilla-central/rev/35ecb3d6a36b

Note You need to log in before you can comment on or make changes to this bug.